local urutora = require 'urutora'

function love.load()
  urutora.newButton({
    text = 'Test button',
    x = 30, y = 60,
    action = function()
      love.event.quit()
    end
  })
  urutora.newLabel({ text = 'Test label', x = 30, y = 100 })
  urutora.newSlider({ x = 150, y = 100 })
end

function love.update(dt)

  urutora.update(dt)
end

function love.draw()
  urutora.draw()
end

function love.mousereleased(x, y, button)
  urutora.released(x, y)
end

function love.keypressed(k)
  if k == 'escape' then
    love.event.quit()
  end
end